ChartDirector Ver 5.0 (PHP Edition)

FinanceChart.setData

Usage

setData(timeStamps, highData, lowData, openData, closeData, volData, extraPoints)

Description

Sets the data to be used in the chart.
If some of the data are not available, some artificial values should be used. For example, if the high and low values are not available, you may use closeData as highData and lowData.

Arguments

Argument | Default | Description
--- | --- | ---
timeStamps | (Mandatory) | An array of dates/times for the time intervals.
highData | (Mandatory) | The high values in the time intervals.
lowData | (Mandatory) | The low values in the time intervals.
openData | (Mandatory) | The open values in the time intervals.
closeData | (Mandatory) | The close values in the time intervals.
volData | (Mandatory) | The volume values in the time intervals.
extraPoints | (Mandatory) | The number of leading time intervals that are not displayed in the chart. These intervals are typically used for computing indicators that require extra leading data, such as moving averages.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.